CW
PUT/app-api/v1/profile

Update student profile

Parameters

NameInRequiredDescription
x-request-idheaderNoOptional correlation id. Generated when omitted.

Request Body

UpdateProfileDtoobject
firstNamestring
emailstring
genderstring
dobstring

DOB as d-m-Y

fullAddrstring
countrynumber

Master country id

statenumber

Master state id

citynumber

Master city id

pincodestring

Required: firstName, dob, fullAddr, country, state, city, pincode

Related Schemas

UpdateProfileDto
firstNamestring
emailstring
genderstring
dobstring

DOB as d-m-Y

fullAddrstring
countrynumber

Master country id

statenumber

Master state id

citynumber

Master city id

pincodestring

Required: firstName, dob, fullAddr, country, state, city, pincode

Code samples

Generated from the current environment and the request configured in the Try-it panel.

curl -X PUT 'https://app-api.crwilladmin.com/app-api/v1/profile' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -H 'apptype: android' \
  -H 'appver: 1.0.0' \
  -H 'webver: 1.0.0' \
  -H 'portalver: 1.0.0' \
  -H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
  -d '{
  "firstName": "Rahul Kumar",
  "dob": "24-07-2026",
  "fullAddr": "123, Main Street, Anytown, USA",
  "country": 1,
  "state": 1,
  "city": 1,
  "pincode": "12345"
}' \